org.deidentifier.arx.aggregates

## Class ClassificationConfigurationLogisticRegression

- java.lang.Object
- - org.deidentifier.arx.ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>
  - - org.deidentifier.arx.aggregates.ClassificationConfigurationLogisticRegression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ClassificationConfigurationLogisticRegression
    extends ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>
    implements java.io.Serializable, java.lang.Cloneable

Configuration for logistic regression

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ClassificationConfigurationLogisticRegression.PriorFunction` Prior function for regularization

### Field Summary

Fields
`static double` `DEFAULT_ALPHA` Default value
`static double` `DEFAULT_DECAY_EXPONENT` Default value
`static double` `DEFAULT_LAMBDA` Default value
`static double` `DEFAULT_LEARNING_RATE` Default value
`static ClassificationConfigurationLogisticRegression.PriorFunction` `DEFAULT_PRIOR` Default value
`static int` `DEFAULT_STEP_OFFSET` Default value

### Fields inherited from class org.deidentifier.arx.ARXClassificationConfiguration

`DEFAULT_DETERMINISTIC, DEFAULT_MAX_RECORDS, DEFAULT_NUMBER_OF_FOLDS, DEFAULT_VECTOR_LENGTH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClassificationConfigurationLogisticRegression` `clone()`
`static ClassificationConfigurationLogisticRegression` `create()` Returns a new instance
`double` `getAlpha()`
`double` `getDecayExponent()`
`double` `getLambda()`
`double` `getLearningRate()`
`int` `getMaxRecords()`
`int` `getNumFolds()`
`ClassificationConfigurationLogisticRegression.PriorFunction` `getPriorFunction()`
`long` `getSeed()`
`int` `getStepOffset()`
`int` `getVectorLength()`
`boolean` `isDeterministic()` Returns whether the process should be deterministic
`void` `parse(ARXClassificationConfiguration<?> config)` Parses another configuration
`ClassificationConfigurationLogisticRegression` `setAlpha(double alpha)`
`ClassificationConfigurationLogisticRegression` `setDecayExponent(double decayExponent)`
`ClassificationConfigurationLogisticRegression` `setDeterministic(boolean deterministic)` Sets whether the process should be deterministic
`ClassificationConfigurationLogisticRegression` `setLambda(double lambda)`
`ClassificationConfigurationLogisticRegression` `setLearningRate(double learningRate)`
`ClassificationConfigurationLogisticRegression` `setMaxRecords(int maxRecords)`
`ClassificationConfigurationLogisticRegression` `setNumFolds(int numberOfFolds)`
`ClassificationConfigurationLogisticRegression` `setPriorFunction(ClassificationConfigurationLogisticRegression.PriorFunction priorFunction)`
`ClassificationConfigurationLogisticRegression` `setSeed(int seed)` Seed for randomization.
`ClassificationConfigurationLogisticRegression` `setStepOffset(int stepOffset)`
`ClassificationConfigurationLogisticRegression` `setVectorLength(int vectorLength)`

### Methods inherited from class org.deidentifier.arx.ARXClassificationConfiguration

`createLogisticRegression, createNaiveBayes, createRandomForest, isModified, setModified, setUnmodified`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_ALPHA

    public static final double DEFAULT_ALPHA

Default value

See Also:
  Constant Field Values

#### DEFAULT_DECAY_EXPONENT

    public static final double DEFAULT_DECAY_EXPONENT

Default value

See Also:
  Constant Field Values

#### DEFAULT_LAMBDA

    public static final double DEFAULT_LAMBDA

Default value

See Also:
  Constant Field Values

#### DEFAULT_LEARNING_RATE

    public static final double DEFAULT_LEARNING_RATE

Default value

See Also:
  Constant Field Values

#### DEFAULT_STEP_OFFSET

    public static final int DEFAULT_STEP_OFFSET

Default value

See Also:
  Constant Field Values

#### DEFAULT_PRIOR

    public static final ClassificationConfigurationLogisticRegression.PriorFunction DEFAULT_PRIOR

Default value

### Method Detail

#### create

    public static ClassificationConfigurationLogisticRegression create()

Returns a new instance

Returns:

#### clone

    public ClassificationConfigurationLogisticRegression clone()

Specified by:
  `clone` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`

#### getAlpha

    public double getAlpha()

Returns:
  the alpha

#### getDecayExponent

    public double getDecayExponent()

Returns:
  the decayExponent

#### getLambda

    public double getLambda()

Returns:
  the lambda

#### getLearningRate

    public double getLearningRate()

Returns:
  the learningRate

#### getMaxRecords

    public int getMaxRecords()

Overrides:
  `getMaxRecords` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Returns:
  the maxRecords

#### getNumFolds

    public int getNumFolds()

Overrides:
  `getNumFolds` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Returns:
  the numberOfFolds

#### getPriorFunction

    public ClassificationConfigurationLogisticRegression.PriorFunction getPriorFunction()

Returns:
  the priorFunction

#### getSeed

    public long getSeed()

Overrides:
  `getSeed` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Returns:
  the seed

#### getStepOffset

    public int getStepOffset()

Returns:
  the stepOffset

#### getVectorLength

    public int getVectorLength()

Overrides:
  `getVectorLength` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Returns:
  the vectorLength

#### isDeterministic

    public boolean isDeterministic()

Returns whether the process should be deterministic

Overrides:
  `isDeterministic` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Returns:

#### parse

    public void parse(ARXClassificationConfiguration<?> config)

Description copied from class: `ARXClassificationConfiguration`
Parses another configuration

Overrides:
  `parse` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`

#### setAlpha

    public ClassificationConfigurationLogisticRegression setAlpha(double alpha)

Parameters:
  `alpha` - the alpha to set

#### setDecayExponent

    public ClassificationConfigurationLogisticRegression setDecayExponent(double decayExponent)

Parameters:
  `decayExponent` - the decayExponent to set

#### setDeterministic

    public ClassificationConfigurationLogisticRegression setDeterministic(boolean deterministic)

Sets whether the process should be deterministic

Overrides:
  `setDeterministic` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Parameters:
  `deterministic` -
Returns:

#### setLambda

    public ClassificationConfigurationLogisticRegression setLambda(double lambda)

Parameters:
  `lambda` - the lambda to set

#### setLearningRate

    public ClassificationConfigurationLogisticRegression setLearningRate(double learningRate)

Parameters:
  `learningRate` - the learningRate to set

#### setMaxRecords

    public ClassificationConfigurationLogisticRegression setMaxRecords(int maxRecords)

Overrides:
  `setMaxRecords` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Parameters:
  `maxRecords` - the maxRecords to set

#### setNumFolds

    public ClassificationConfigurationLogisticRegression setNumFolds(int numberOfFolds)

Overrides:
  `setNumFolds` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Parameters:
  `numberOfFolds` - the numberOfFolds to set

#### setPriorFunction

    public ClassificationConfigurationLogisticRegression setPriorFunction(ClassificationConfigurationLogisticRegression.PriorFunction priorFunction)

Parameters:
  `priorFunction` - the priorFunction to set

#### setSeed

    public ClassificationConfigurationLogisticRegression setSeed(int seed)

Seed for randomization. Set to Integer.MAX_VALUE for randomization.

Overrides:
  `setSeed` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Parameters:
  `seed` - the seed to set

#### setStepOffset

    public ClassificationConfigurationLogisticRegression setStepOffset(int stepOffset)

Parameters:
  `stepOffset` - the stepOffset to set

#### setVectorLength

    public ClassificationConfigurationLogisticRegression setVectorLength(int vectorLength)

Overrides:
  `setVectorLength` in class `ARXClassificationConfiguration<ClassificationConfigurationLogisticRegression>`
Parameters:
  `vectorLength` - the vectorLength to set